View Issue Details

IDProjectCategoryView StatusLast Update
0012597Scribus3rd Partypublic2016-12-08 22:04
Reporterale Assigned Tofschmid  
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Product Version1.5.0 
Target Version1.5.4Fixed in Version 
Summary0012597: Cannot drag and drop images to the Scribus canvas (Nautilus, gThumb and Shotwell, and also in Gnome 3.12)
DescriptionThis is cloned ticket of 0012564
It seems drag/drop doesn't work in Scribus running on Gnome 3.12
Relevant thread starts at 0012564:0033216
Additional InformationThe challenge here is to find a way for the devs to test on a machine that runs Gnome 3.12
Tagsworkflow
PatchNo

Relationships

related to 0012564 closed [PATCH] cannot drag and drop images to the canvas 
related to 0013830 new Prelight / highlight image frames where replacement will happen when dragging and dropping image files onto them 
related to 0014060 closedfschmid Crash when using dropping image onto image frame via digikam or nemo 

Activities

samtygier

2015-03-19 16:25

reporter   ~0034726

I also cannot drag and drop from Nautilus 3.14.2 or Caja 1.8.2 (MATE version of nautilus), but I can from Thunar 1.6.4. I am using Scribus 1.4.4 on Fedora 21 (Mate spin).

Kunda

2015-03-24 12:43

manager   ~0034745

Last edited: 2015-03-24 12:44

View 2 revisions

ale, is this still relevant (from 0012564:0033075)
or was this part of the fix for the previous closed bug?

----------------------------

i had a looked at

void ScribusView::contentsDropEvent(QDropEvent *e)

and found out that mimedata->hasText() returns true also for images.

i tried to fix the thing by moving the check for text to the end, but some of the "else if" do funky things that i don't want to understand and the new code leads to a crash.

attached a simple hack that seams to solve the problem...

even if i would wish that the whole condition sequence would be documented and correctly fixed...
(i mean: text=text(); url=QUrl(text) ... this is not something i would expect in source code without a comment...)

jeff

2015-09-04 22:26

reporter   ~0036153

Interesting little bit of info: it works if dragged from Thunar or eog (Eye of GNOME), but NOT Nautilus or gthumb.

JLuc

2015-09-05 07:54

updater   ~0036155

Last edited: 2015-10-10 20:25

View 3 revisions

On Ubuntu 14.04 with Scribus 1.5.1svn r20359,

It works sometimes, and sometimes it doesn't.

The d'n'd is detected well, mouse pointer turns into a 'hand with + sign', but release of the mouse button is not detected / doesnt insert any image in the opened scribus document.

Kunda

2016-01-15 20:05

manager   ~0038178

What needs to get fixed here ?

Kunda

2016-03-15 13:11

manager   ~0039179

Is this still an issue on Gnome 3.18 ?

jeff

2016-03-15 15:13

reporter   ~0039188

Yes, this happens on GNOME 3.18, but in theory isn't specific to GNOME and you don't have to be running that desktop environment to test it, just grab the relevant apps. I tested Scribus 1.4.5 and 1.5.1 with Nautilus, gThumb or Shotwell. All those combinations fail.

The only ones that work as drag & drop sources are Thunar and eog (Eye of GNOME).

ale

2016-03-15 15:35

manager   ~0039189

for information: geeqie is gtk image previewer and can dnd (at least outside of gnome...)

i'm not sure it's a gnome specific thing: with some software it works, with other not.

JLuc

2016-04-03 21:44

updater   ~0039735

I can drag'n'drop images out of gwenview !!!!!!

That makes me very happy because it improves usability a lot !

It'd be good to fix the issue for other image browser or managers...

I confirm it works from Thunar but not from Nautilus...

Kunda

2016-04-04 01:09

manager   ~0039744

what changed ? (something in scribus code ?)

JLuc

2016-04-25 19:29

updater   ~0040481

kunda : There are lots of image browsers and I never tested gwenview beforehand.

Kunda

2016-04-25 22:03

manager   ~0040485

Could we make upstream bug reports to Nautilus, gThumb and Shotwell about this?

jeff

2016-04-26 00:22

reporter   ~0040487

I have yet to see a single application out there that does not accept drag input from Nautilus, gThumb and Shotwell. Scribus is the only one. I'm pretty confident that the bug is thus in Scribus.

(for the sake of completeness, I even tested other Qt apps like Krita and Kdenlive; they have no problem accepting drag input from Nautilus.)

owencook

2016-04-27 00:16

reporter   ~0040531

Rev21193

FWIW I have Gnome 3.10.4 on an up to date LinuxMint

Can Drag and Drop from;
 a. gThumb
 b. Firefox
 c. Eye of Mate (eom, eog)

CANNOT DnD from

 d. Gimp
 e. Shotwell
 f. Geeqie
 g. Caja - File manager

Kunda

2016-05-16 16:56

manager   ~0041135

Boosting this ticket to 'major' status as this a major workflow issue for linux folks.

Kunda

2016-05-17 20:08

manager   ~0041168

Franz fixed 0014060 so I'm going to punt this ticket his way.

jeff

2016-05-22 16:37

reporter   ~0041301

Interesting... drag and drop from gThumb and Nautilus has started working for me on luya's latest Scribus 1.5.2 Fedora build (2016-05-14 svn 21313), what the heck... maybe there's a race condition and the behavior has changed because of some butterfly effect?

Kunda

2016-05-22 17:44

manager   ~0041305

Could someone retest the other apps as well to see if the issues have been fixed?

Kunda

2016-05-27 04:32

manager   ~0041468

anyone?

owencook

2016-05-27 05:45

reporter   ~0041469

Now on Fedora-23. Mate

Tested Caja, now works ok. So does eom and Firefox

Cannot DnD from Shotwell or Gimp-2.9

Issue History

Date Modified Username Field Change
2014-08-11 18:23 Kunda New Issue
2014-08-11 18:23 Kunda Issue generated from: 0012564
2014-08-11 18:23 Kunda Relationship added related to 0012564
2014-08-11 18:23 Kunda Summary [PATCH] cannot drag and drop images to the Scribus canvas in Gnome 3.12 => Cannot drag and drop images to the Scribus canvas in Gnome 3.12
2014-08-11 18:28 Kunda Status new => confirmed
2014-08-11 18:28 Kunda Target Version => 1.5.1
2014-09-12 03:15 Kunda Reporter Kunda => ale
2015-03-19 16:25 samtygier Note Added: 0034726
2015-03-24 12:43 Kunda Note Added: 0034745
2015-03-24 12:44 Kunda Note Edited: 0034745 View Revisions
2015-09-04 22:26 jeff Note Added: 0036153
2015-09-05 07:54 JLuc Note Added: 0036155
2015-09-05 07:56 JLuc Note Edited: 0036155 View Revisions
2015-10-10 20:25 JLuc Note Edited: 0036155 View Revisions
2016-01-15 20:05 Kunda Note Added: 0038178
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-03-15 13:11 Kunda Note Added: 0039179
2016-03-15 15:13 jeff Note Added: 0039188
2016-03-15 15:35 ale Note Added: 0039189
2016-04-03 21:44 JLuc Note Added: 0039735
2016-04-04 01:09 Kunda Note Added: 0039744
2016-04-25 19:29 JLuc Note Added: 0040481
2016-04-25 22:03 Kunda Note Added: 0040485
2016-04-26 00:22 jeff Note Added: 0040487
2016-04-26 00:44 Kunda Patch => No
2016-04-26 00:44 Kunda Summary Cannot drag and drop images to the Scribus canvas in Gnome 3.12 => Cannot drag and drop images to the Scribus canvas (Nautilus, gThumb and Shotwell, and also in Gnome 3.12)
2016-04-27 00:16 owencook Note Added: 0040531
2016-05-05 15:51 Kunda Relationship added related to 0013830
2016-05-06 01:10 Kunda Tag Attached: workflow
2016-05-15 12:53 Kunda Relationship added related to 0014060
2016-05-16 16:55 Kunda Severity minor => major
2016-05-16 16:56 Kunda Note Added: 0041135
2016-05-16 16:56 Kunda Category Canvas => 3rd Party
2016-05-17 20:08 Kunda Assigned To => fschmid
2016-05-17 20:08 Kunda Status confirmed => assigned
2016-05-17 20:08 Kunda Note Added: 0041168
2016-05-22 16:37 jeff Note Added: 0041301
2016-05-22 17:44 Kunda Note Added: 0041305
2016-05-27 04:32 Kunda Note Added: 0041468
2016-05-27 05:45 owencook Note Added: 0041469
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4